Skip to content

upsertPartner

WRITE

Upsert partner.

POST /api/v1/resources/upsertPartner
curl -X POST '<your-host>/api/v1/resources/upsertPartner' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "string",
    "hoursPerWeek": 0,
    "_operation": "create"
  }'

Parameters

ParameterType

Required. 'create' inserts a new record, 'update' modifies the existing record with this id.

"create""update"
min 0
min length 1

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "minLength": 1
    },
    "hoursPerWeek": {
      "type": "number",
      "minimum": 0
    },
    "customFields": {},
    "_operation": {
      "type": "string",
      "enum": [
        "create",
        "update"
      ],
      "description": "Required. 'create' inserts a new record, 'update' modifies the existing record with this id."
    }
  },
  "required": [
    "id",
    "hoursPerWeek",
    "_operation"
  ]
}